Developers
API ReferenceReported Clock

Unpause paused ReportedClock.

PATCH
/project/reported-clocks/{id}/unpause

Unpause paused ReportedClock.

Authorization<token>

Value for the Authorization header parameter.

In: header

Path Parameters

id*string

ReportedClock identifier

Request Body

The updated ReportedClock resource

TypeScript Definitions

Use the request body type in TypeScript.

dateStart?string
Formatdate-time

Response Body

curl -X PATCH "https://example.com/project/reported-clocks/string/unpause" \  -H "Content-Type: application/json" \  -d '{}'
{  "task": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "shortCode": "string",    "no": 0,    "name": "string",    "taskTypes": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "decorator": "#78909c",        "categories": [          {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "name": "string"          }        ]      }    ],    "priority": "low",    "storyPoints": 1,    "status": "in-preparation",    "dateStart": "2019-08-24T14:15:22Z",    "dateEnd": "2019-08-24T14:15:22Z",    "finishedAt": "2019-08-24T14:15:22Z",    "finishedBy": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "shortCode": "string",      "firstName": "string",      "lastName": "string",      "email": "string",      "phoneNumber": "string",      "pictureSm": "string",      "pictureLg": "string"    },    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "assignedTaskUsers": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "projectUser": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "shortCode": "string",          "firstName": "string",          "lastName": "string",          "email": "string",          "pictureSm": "string",          "pictureLg": "string",          "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",          "contractorName": "string",          "canLogIn": true,          "phoneNumber": "string",          "jobPositionName": "string",          "hourlyRate": null,          "isExternal": true,          "decorator": "string"        },        "timePlanned": 0,        "role": "none"      }    ],    "countChecklistItems": 0,    "countChecklistItemsChecked": 0,    "countFiles": 0,    "countComments": 0,    "timePlanned": 0,    "timeReported": 0,    "project": "9ec8a81a-31b2-4a83-bcd8-cef9150932d2",    "projectShortCode": "string",    "projectName": "string",    "projectIsSimple": true,    "stage": "9f09bdb0-89bd-4a1a-b468-0312474f1023",    "stageName": "string",    "board": "a98884d6-3c76-4114-ba9c-216527a5aac1",    "boardShortCode": "string",    "boardName": "string",    "boardColumn": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "decorator": "#78909c",      "status": "todo"    },    "createdBy": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "shortCode": "string",      "firstName": "string",      "lastName": "string",      "email": "string",      "phoneNumber": "string",      "pictureSm": "string",      "pictureLg": "string"    },    "createdBySource": "user",    "isReadOnly": true,    "dependency": "waiting",    "permissions": {      "canRetrieve": true,      "canEdit": true,      "canEditDates": true,      "canDelete": true,      "canSetReadOnly": true,      "canChangeStatus": true,      "isMovable": true,      "canGetReportedClocks": true,      "canSeeAssignedTaskUsersTimePlanned": true,      "canManageAssignedTaskUsersTimePlanned": true    },    "customFields": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "valueId": "b772d050-4ba4-443b-8ca7-cc1e42bdd731",        "name": "string",        "description": "string",        "dataType": "text",        "valueText": "string",        "valueFloat": "string",        "valueDateTime": "2019-08-24T14:15:22Z",        "valueSelectOptions": [          {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "value": "string",            "weight": 0,            "decorator": "#78909c"          }        ],        "valueSelectUsers": [          {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "firstName": "string",            "lastName": "string",            "email": "string",            "pictureSm": "string"          }        ],        "valueDepartment": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "name": "string"        }      }    ]  },  "id": "string",  "description": "string",  "dateStart": "2019-08-24T14:15:22Z",  "seconds": 0,  "isPaused": true,  "timeType": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "isDefault": true,    "isPaid": true,    "isActive": true  },  "projectUser": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "shortCode": "string",    "firstName": "string",    "lastName": "string",    "email": "string",    "pictureSm": "string",    "pictureLg": "string",    "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",    "contractorName": "string",    "canLogIn": true,    "phoneNumber": "string",    "jobPositionName": "string",    "hourlyRate": null,    "isExternal": true,    "decorator": "string"  }}